=== debian/changelog ===
qxmpp (1.3.2-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Decrease debhelper-compat version to 12 (was 13).
  * Add -Wl,--as-needed flag to LDFLAGS in debian/rules.

 -- Boris Pek <tehnick@debian.org>  Sun, 17 Jan 2021 00:41:16 +0300

qxmpp (1.3.2-2) unstable; urgency=medium

  * Add dependency from libgstreamer1.0-dev to libqxmpp-dev package.

 -- Boris Pek <tehnick@debian.org>  Sun, 10 Jan 2021 01:24:09 +0300

qxmpp (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Only bug fixes, no changes in ABI.

 -- Boris Pek <tehnick@debian.org>  Sun, 10 Jan 2021 00:28:28 +0300

qxmpp (1.3.1-2) unstable; urgency=medium

  * Move to unstable: no changes required.

 -- Boris Pek <tehnick@debian.org>  Wed, 30 Dec 2020 02:09:19 +0300

qxmpp (1.3.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add salsa-ci.yml pipeline for GitLab CI/CD on Salsa.

  [ Boris Pek ]
  * New upstream release.
  * Update debian/control:
    - bump Standards-Version to 4.5.1 (was 4.5.0): no changes required
    - bump debhelper-compat version to 13 (was 12)
    - remove build dependencies from libopus-dev, libspeex-dev, libtheora-dev
      and libvpx-dev
    - add build dependency from libgstreamer1.0-dev
    - add extra dependencies from gstreamer1.0-plugins-base,
      gstreamer1.0-plugins-good and gstreamer1.0-plugins-ugly to binary package
      libqxmpp3
  * Update debian/rules:
    - update configuration options after switching library to gstreamer usage
    - remove DEB_LDFLAGS_MAINT_APPEND variable with -Wl,--as-needed flag
  * Bump debian/watch version to 4: no changes required.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sat, 12 Dec 2020 03:57:50 +0300

qxmpp (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename libqxmpp2 to libqxmpp3 after bumping of SOVERSION.
  * Update debian/control:
    - bump Standards-Version to 4.5.0 (was 4.4.1): no changes required
    - package libqxmpp3 replaces old libqxmpp2 package
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Mon, 24 Feb 2020 20:45:25 +0300

qxmpp (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Delete all patches: already in upstream.
  * Bump Standards-Version to 4.4.1 (was 4.3.0): no changes required.
  * Rename libqxmpp1 to libqxmpp2 after bumping of SOVERSION.
  * Package libqxmpp2 now replaces libqxmpp0 and libqxmpp1 packages.
  * Update debian/copyright and debian/upstream/metadata.
  * Update debian/control:
    - add "Rules-Requires-Root: no"
    - replace build dependency from debhelper (>= 12~) to
      debhelper-compat (= 12)
  * Delete debian/compat.

 -- Boris Pek <tehnick@debian.org>  Thu, 21 Nov 2019 00:55:29 +0300
