=== debian/control ===
Source: qxmpp
Section: libs
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>, Boris Pek <tehnick@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               doxygen,
               graphviz,
               libgstreamer1.0-dev,
               qtbase5-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/qxmpp-project/qxmpp
Vcs-Git: https://salsa.debian.org/xmpp-team/qxmpp.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/qxmpp

Package: libqxmpp3
Architecture: any
Replaces: libqxmpp0, libqxmpp1, libqxmpp2
Breaks: libqxmpp0, libqxmpp1, libqxmpp2
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: QXmpp library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the shared library.

Package: libqxmpp-dev
Section: libdevel
Architecture: any
Depends: libgstreamer1.0-dev,
         libqxmpp3 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Suggests: libqxmpp-doc
Multi-Arch: same
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp-doc
Section: doc
Architecture: all
Depends: lynx | www-browser, ${misc:Depends}
Suggests: libqxmpp-dev
Description: Documentation for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the HTML documentation.
