=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,6 @@
 option(BUILD_SHARED "Build SHARED library" ON)
 
 add_definitions(-DQXMPP_BUILD)
-
-# disable Q_FOREACH()
-add_definitions(-DQT_NO_FOREACH)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/base)
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/client)
@@ -41,6 +38,7 @@
     base/QXmppLogger.h
     base/QXmppMamIq.h
     base/QXmppMessage.h
+    base/QXmppMixInvitation.h
     base/QXmppMixIq.h
     base/QXmppMixItem.h
     base/QXmppMucIq.h
@@ -67,6 +65,7 @@
 
     # Client
     client/QXmppArchiveManager.h
+    client/QXmppAttentionManager.h
     client/QXmppBookmarkManager.h
     client/QXmppCarbonManager.h
     client/QXmppClient.h
@@ -122,6 +121,7 @@
     base/QXmppLogger.cpp
     base/QXmppMamIq.cpp
     base/QXmppMessage.cpp
+    base/QXmppMixInvitation.cpp
     base/QXmppMixIq.cpp
     base/QXmppMixItem.cpp
     base/QXmppMucIq.cpp
@@ -150,13 +150,14 @@
     base/QXmppVersionIq.cpp
 
     # Client
-    client/QXmppDiscoveryManager.cpp
     client/QXmppArchiveManager.cpp
+    client/QXmppAttentionManager.cpp
     client/QXmppBookmarkManager.cpp
     client/QXmppCarbonManager.cpp
     client/QXmppClient.cpp
     client/QXmppClientExtension.cpp
     client/QXmppConfiguration.cpp
+    client/QXmppDiscoveryManager.cpp
     client/QXmppEntityTimeManager.cpp
     client/QXmppInternalClientExtension.cpp
     client/QXmppInvokable.cpp
@@ -212,7 +213,7 @@
 endif()
 
 set_target_properties(qxmpp PROPERTIES
-    VERSION ${VERSION_STRING}
+    VERSION ${PROJECT_VERSION}
     SOVERSION ${SO_VERSION}
     EXPORT_NAME QXmpp
 )
@@ -231,14 +232,14 @@
 
 target_link_libraries(qxmpp
     PUBLIC
-    Qt5::Core
-    Qt5::Network
-    Qt5::Xml
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::Network
+    Qt${QT_VERSION_MAJOR}::Xml
 )
 
 if(WITH_GSTREAMER)
     target_link_libraries(qxmpp
-        PUBLIC
+        PRIVATE
         ${GLIB2_LIBRARIES}
         ${GOBJECT_LIBRARIES}
         ${GSTREAMER_LIBRARY}
