=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 include_directories(.)
 
-find_package(Qt5 REQUIRED COMPONENTS Test)
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Test)
 
 macro(add_simple_test TEST_NAME)
     add_executable(tst_${TEST_NAME} ${TEST_NAME}/tst_${TEST_NAME}.cpp)
     add_test(tst_${TEST_NAME} tst_${TEST_NAME})
-    target_link_libraries(tst_${TEST_NAME} Qt5::Test qxmpp)
+    target_link_libraries(tst_${TEST_NAME} Qt${QT_VERSION_MAJOR}::Test qxmpp)
 endmacro()
 
 include_directories(${PROJECT_SOURCE_DIR}/src/base)
@@ -15,6 +15,7 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_simple_test(qxmpparchiveiq)
+add_simple_test(qxmppattentionmanager)
 add_simple_test(qxmppbindiq)
 add_simple_test(qxmppbitsofbinarycontentid)
 add_simple_test(qxmppbitsofbinaryiq)
@@ -28,11 +29,13 @@
 add_simple_test(qxmppiq)
 add_simple_test(qxmppjingleiq)
 add_simple_test(qxmppmammanager)
+add_simple_test(qxmppmixinvitation)
 add_simple_test(qxmppmixitem)
 add_simple_test(qxmppmessage)
 add_simple_test(qxmppmessagereceiptmanager)
 add_simple_test(qxmppmixiq)
 add_simple_test(qxmppnonsaslauthiq)
+add_simple_test(qxmppoutgoingclient)
 add_simple_test(qxmpppushenableiq)
 add_simple_test(qxmpppresence)
 add_simple_test(qxmpppubsubiq)
@@ -47,6 +50,7 @@
 add_simple_test(qxmppsocks)
 add_simple_test(qxmppstanza)
 add_simple_test(qxmppstarttlspacket)
+add_simple_test(qxmppstream)
 add_simple_test(qxmppstreamfeatures)
 add_simple_test(qxmppstunmessage)
 add_simple_test(qxmppvcardiq)
@@ -65,4 +69,3 @@
 add_subdirectory(qxmpptransfermanager)
 add_subdirectory(qxmpputils)
 add_subdirectory(qxmppuploadrequestmanager)
-
