=== examples/example_5_rpcInterface/CMakeLists.txt ===
add_executable(5_rpcInterface main.cpp remoteinterface.cpp)
target_link_libraries(5_rpcInterface qxmpp)
