=== examples/example_6_rpcClient/CMakeLists.txt ===
add_executable(6_rpcClient main.cpp rpcClient.cpp)
target_link_libraries(6_rpcClient qxmpp)
