=== debian/changelog ===
qxmpp (1.4.0-2) unstable; urgency=medium

  * Move to unstable: no changes required.
  * Update debian/watch.

 -- Boris Pek <tehnick@debian.org>  Thu, 26 Aug 2021 08:01:28 +0300

qxmpp (1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Mon, 15 Mar 2021 21:56:17 +0300
